/* Copyright (C) 2007 - 2009 YOOtheme GmbH */

function loadIE6Fix() {

	correctPngBackground('.correct-png', 'crop');
	
	/* layout */
	fixPngBackground('.left div#middle .background, .right div#middle .background, .showright div#mainmiddle');
	fixPngBackground('div#page-headerbar div.headerbar-img, div#page-headerbar div#object1, div#page-headerbar div#object2, div#page-headerbar div#object3');
	
	/* typography & joomla */
	fixPngBackground('ul.arrow li, ul.checkbox li, ul.check li, ul.star li');
	fixPngBackground('blockquote.quotation, blockquote.quotation p');
	fixPngBackground('ol.disc');
	fixPngBackground('a.readmore, a.readon');

	/* menu */
	fixPngBackground('div#menu ul.menu ul');
	
	/* module */
	fixPngBackground('div.module div.badge-new, div.module div.badge-top, div.module div.badge-pick');
	fixPngBackground('div.mod-transwhite div.box-1');
	fixPngBackground('div.mod-dogear div.box-t1');
	fixPngBackground('div.mod-polaroid div.box-b1, div.mod-polaroid div.box-b2, div.mod-polaroid div.box-b3, div.mod-polaroid div.badge-tape');
	fixPngBackground('div.mod-postit div.box-b1, div.mod-postit div.box-b2, div.mod-postit div.box-b3');

	sfHover('#menu span.separator');
	sfHover('#menu li');
	sfHover('.module .menu span.separator');
	sfHover('.module .menu li');

	DD_belatedPNG.fix('.png_bg');
}

/* Add functions on window load */
window.addEvent('domready', loadIE6Fix);
window.addEvent('load', correctPngInline);

/* Fix PNG background */
function fixPngBackground(selector) {
	$ES(selector).each(function(element){
		element.addClass('png_bg');
	});
}